Name:          geoclue
Version:       0.12.0
Release:       %mkrel 11
Summary:       A modular geoinformation service

Group:         Networking/Other
License:       LGPLv2
URL:           http://geoclue.freedesktop.org/
Source0:       http://folks.o-hand.com/jku/geoclue-releases/%{name}-%{version}.tar.gz
Patch0:        geoclue-nm08.patch
Patch1:        geoclue-NMCrash.patch

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: gammu-devel
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: libsoup-devel
BuildRequires: libGConf2-devel
BuildRequires: gtk2-devel
BuildRequires: NetworkManager-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: gypsy-devel
BuildRequires: gtk-doc
BuildRequires: sqlite3-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libproxy-devel
Obsoletes: geoclue-gpsd

#Needed for NetworkManager patch
BuildRequires: libtool

Requires: dbus

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/geoclue-providers
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-nominatim.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%{_datadir}/geoclue-providers/geoclue-skyhook.provider
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_libexecdir}/geoclue-example
%{_libexecdir}/geoclue-geonames
%{_libexecdir}/geoclue-hostip
%{_libexecdir}/geoclue-localnet
%{_libexecdir}/geoclue-manual
%{_libexecdir}/geoclue-nominatim
%{_libexecdir}/geoclue-master
%{_libexecdir}/geoclue-plazes
%{_libexecdir}/geoclue-skyhook
%{_libexecdir}/geoclue-yahoo

#--------------------------------------------------------------------

%define libgeoclue_major 0
%define libgeoclue %mklibname geoclue %{libgeoclue_major}
%define develname %mklibname -d geoclue

%package -n %libgeoclue
Summary:   A modular geoinformation service
Group: System/Libraries

%description -n %libgeoclue
A modular geoinformation service

%files -n %libgeoclue
%defattr(-,root,root)
%_libdir/libgeoclue.so.%{libgeoclue_major}*

#--------------------------------------------------------------------

%package -n %develname
Summary: Development package for geoclue
Group:    Development/Other
Provides: %name-devel
Provides: lib%name-devel
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel
Requires: libxml2-devel
Requires: pkgconfig
Requires: %libgeoclue = %version-%release
%description -n %develname
Files for development with geoclue.

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/geoclue
%{_libdir}/pkgconfig/geoclue.pc
%{_libdir}/libgeoclue.so

#--------------------------------------------------------------------

%package doc
Summary: Developer documentation for geoclue
Group:   Books/Computer books 
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Developer documentation for geoclue

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/geoclue/

#--------------------------------------------------------------------

%package gui
Summary: Testing gui for geoclue
Group:   Networking/Other
Requires: %{name} = %{version}-%{release}

%description gui
Testing gui for geoclue

%files gui
%defattr(-,root,root,-)
%{_bindir}/geoclue-test-gui

#--------------------------------------------------------------------

%package gypsy
Summary: gypsy provider for geoclue
Group:   Networking/Other 
Requires: %{name} = %{version}-%{release}

%description gypsy
A gypsy provider for geoclue

%files gypsy
%defattr(-,root,root,-)
%{_libexecdir}/geoclue-gypsy
%{_datadir}/geoclue-providers/geoclue-gypsy.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gypsy.service

#--------------------------------------------------------------------

%package gsmloc
Summary: gsmloc provider for geoclue
Group:   Networking/Other 
Requires: %{name} = %{version}-%{release}

%description gsmloc
A gsmloc provider for geoclue

%files gsmloc
%defattr(-,root,root,-)
%{_libexecdir}/geoclue-gsmloc
%{_datadir}/geoclue-providers/geoclue-gsmloc.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .nm08
%patch1 -p1 -b .nmCrash

# Need this for the NM-0.8 patch
libtoolize
gtkdocize
autoreconf

%build
%configure --disable-static --enable-gtk-doc --enable-networkmanager=yes --enable-gypsy=yes --enable-skyhook=yes --enable-gsmloc=yes
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install the test gui as it seems the test isn't installed any more
mkdir $RPM_BUILD_ROOT%{_bindir}
cp test/.libs/geoclue-test-gui $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Mon Jun 20 2011 dmorgan <dmorgan> 0.12.0-11.mga2
+ Revision: 110487
- Rebuild against new libnm-glib

* Tue Apr 05 2011 dmorgan <dmorgan> 0.12.0-10.mga1
+ Revision: 80751
- Add missing libgeoclue-devel provide

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-9.mga1
+ Revision: 80592
- Drop major from -devel

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-8.mga1
+ Revision: 80585
- Revert to standard name for devel package

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-7.mga1
+ Revision: 80509
- Provides libgeoclue-devel for compatibility

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-6.mga1
+ Revision: 80478
- Rebuild because of missing packages

* Thu Mar 24 2011 boklm <boklm> 0.12.0-5.mga1
+ Revision: 76141
- rebuild for bug #497

* Sat Mar 19 2011 dmorgan <dmorgan> 0.12.0-4.mga1
+ Revision: 74393
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Rebuild because of missing pacakges

* Mon Mar 07 2011 dmorgan <dmorgan> 0.12.0-3.mga1
+ Revision: 66282
- Bump release
- SYnc with fedora

* Sun Jan 23 2011 pterjan <pterjan> 0.12.0-2.mga1
+ Revision: 35402
- Drop old stuff
- imported package geoclue


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2011.0
+ Revision: 605446
- rebuild

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 531453
- always need BR gtk-doc
- New version 0.12.0
- drop patches (merged upstream)

* Wed Mar 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.2mdv2010.1
+ Revision: 513890
- diff p1 to fix build with gpsd-2.91

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.1mdv2010.1
+ Revision: 493842
- New svn snapshot
- fix geoclue-test-gui packaging

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.1.1-0.20090310.2mdv2010.0
+ Revision: 450018
- Add patch fixing hostip provider for new API
  (freedesktop.org bug #24058)
- Update to 20090310 snapshot used by Fedora: fixes geoclue-master segfault
  when Empathy starts up

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2010.0
+ Revision: 421343
- fix devel provides

* Sun Jul 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 400470
- add buildrequires on xsltproc
- disable parallel make
- add spec and source files
- create geoclue

